# List all realtime return requests

**GET** `/transfers/realtime/return-requests`

Retrieve all Realtime returns under your developer account.

### Query Parameters

- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/realtime/return-requests' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "has_more": false,
  "realtime_return_requests": [
    {
      "accepted_at": null,
      "id": "rtrr_33R1QmwJC7BgKCPIZXq6kfPNuPv",
      "is_incoming": false,
      "original_transfer_id": "rttr_33R1OrvgzZoA3FME6SSxXx0Ronx",
      "pending_at": "2025-09-30T20:44:16Z",
      "reason_code": "CUST",
      "reason_code_description": "CUST: Cancellation requested by the Debtor",
      "rejected_at": null,
      "return_transfer_id": null,
      "status": "pending"
    },
    {
      "accepted_at": "2025-09-29T19:47:18Z",
      "id": "rtrr_33O5NST1Ln8AirOiTbFZ97qClXM",
      "is_incoming": false,
      "original_transfer_id": "rttr_33O5KQN7h3V694f4XLdNuXK8UmG",
      "pending_at": "2025-09-29T19:47:18Z",
      "reason_code": "CUST",
      "reason_code_description": "CUST: Cancellation requested by the Debtor",
      "rejected_at": null,
      "return_transfer_id": null,
      "status": "accepted"
    },
    {
      "accepted_at": "2025-09-29T19:45:52Z",
      "id": "rtrr_33O5CdYmnUDzoUFegBLSK3hCw86",
      "is_incoming": false,
      "original_transfer_id": "rttr_33O5BKcXwW4Ymi5qObUqGqsAFdP",
      "pending_at": "2025-09-29T19:45:52Z",
      "reason_code": "CUST",
      "reason_code_description": "CUST: Cancellation requested by the Debtor",
      "rejected_at": null,
      "return_transfer_id": null,
      "status": "accepted"
    },
    {
      "accepted_at": "2025-09-29T16:40:32Z",
      "id": "rtrr_33NifGhPpIL7ZkFx2XfeMNR4aSL",
      "is_incoming": false,
      "original_transfer_id": "rttr_33Nicnk4pg4B8jqmSxANfPbiEUJ",
      "pending_at": "2025-09-29T16:40:31Z",
      "reason_code": "CUST",
      "reason_code_description": "CUST: Cancellation requested by the Debtor",
      "rejected_at": null,
      "return_transfer_id": null,
      "status": "accepted"
    },
    {
      "accepted_at": "2025-09-22T20:15:25Z",
      "id": "rtrr_334MvwETg0RW4uS6SifgrpSw7QA",
      "is_incoming": false,
      "original_transfer_id": "rttr_334LjBzSfBIie2ddjXf6k6ssEg3",
      "pending_at": "2025-09-22T20:15:25Z",
      "reason_code": "CUST",
      "reason_code_description": "CUST: Cancellation requested by the Debtor",
      "rejected_at": null,
      "return_transfer_id": null,
      "status": "accepted"
    }
  ]
}
```
